<back to all web services

ControlMessage

The following routes are available for this service:
POST DELETE/RestApi/Sitefinity/personalizations/controls
GET/RestApi/Sitefinity/personalizations/controls/segments
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class ControlMessage
    {
        public String PageId = null;
        public String ControlId = null;
        public String SegmentId = null;
        
        public String getPageId() { return PageId; }
        public ControlMessage setPageId(String value) { this.PageId = value; return this; }
        public String getControlId() { return ControlId; }
        public ControlMessage setControlId(String value) { this.ControlId = value; return this; }
        public String getSegmentId() { return SegmentId; }
        public ControlMessage setSegmentId(String value) { this.SegmentId = value; return this; }
    }

}

Java ControlMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/Sitefinity/personalizations/controls HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"PageId":"String","ControlId":"String","SegmentId":"String"}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

"00000000-0000-0000-0000-000000000000"